"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createRequestIdleCallback = createRequestIdleCallback;
exports.default = void 0;
require("requestidlecallback");
/**
 * External dependencies
 */

/**
 * @typedef {( timeOrDeadline: IdleDeadline | number ) => void} Callback
 */

/**
 * @return {(callback: Callback) => void} RequestIdleCallback
 */
function createRequestIdleCallback() {
  if (typeof window === 'undefined') {
    return callback => {
      setTimeout(() => callback(Date.now()), 0);
    };
  }
  return window.requestIdleCallback;
}
var _default = exports.default = createRequestIdleCallback();
//# sourceMappingURL=request-idle-callback.js.map